From 2.05 to latest

More
3 months 3 weeks ago #182073 by jelo
Replied by jelo on topic From 2.05 to latest

hvgard wrote: As a business user that scares me.

The more you know, the more you might get scared.
You will have to write off part of your investments in 2.6.7. All themes and most workarounds will be worthless.
If you want to keep 2.6.7. alive with EOL of PHP5 and Yii1, it will depend on the timeframe if that is a mission impossible. We don't know your cashflow, so it might be worth the effort.

Read this manual.limesurvey.org/LimeSurvey_roadmap .
If you see the demand to open a User interest group for Business users (LS UIG Business), feel free to open a new thread e.g. in development.

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users

Please Log in or Create an account to join the conversation.

More
3 months 3 weeks ago #182075 by DenisChenu
Replied by DenisChenu on topic From 2.05 to latest

hvgard wrote: It is very nice that Denis supports v2.6.7 LTS, but I assume I'm a Limesurvey customer, not Denis (don't take it personal please :-)).

No, issue :) and totally right :)

hvgard wrote: As a customer

What do you mean by Customer ? I think LimeSurvey GMBH customer are only those
1. Hosted on limesurvey (with more than 25 response by month)
2. Have a ConfortUpdate (premieum or more) account

If i remind, it can be different in Germany about legal, but i think LimeSurvey GMBH take more care of this customers (like i take more core of my clients for developemnts).

hvgard wrote: …
PS: Still LS is the only survey system that supports this…

Really intersetion to hear :)

hvgard wrote: …
I seriously doubt a responsive admin UI is better for LS. Just like word, pages, excel, wordpress and lots of other packages, we all use it mainly on a laptop with wide screen and lots of pixels. Who edits on a tablet or phone?

One of my client (using LimeSurvey since 1.70 and before) move to last version because their client like the new admin UI ;) (before they say «your tool is too oldy for us»).


Denis

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand .
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in or Create an account to join the conversation.

More
3 months 3 weeks ago #182083 by jelo
Replied by jelo on topic From 2.05 to latest
An official statement can be found under this link:

www.limesurvey.org/about-limesurvey/surv...ey-version-lifecycle

LimeSurvey 2.6.x (formerly 2.06) - CE support ended March 2018; LimeSurvey Professional support until end of 2018
LimeSurvey 2.57 - CE support ended March 2018; LimeSurvey Professional support until end of 2019
LimeSurvey 3.0 - LTS Version - CE support until end of 2019; LimeSurvey Professional support until end of 2020
LimeSurvey 4.0 - Non-LTS Version - launch approximately end of 2018 - beginning of 2019
LimeSurvey 5.0 - tba
LimeSurvey 6.0 - tba


The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users
The following user(s) said Thank You: cdorin

Please Log in or Create an account to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!